#!/bin/bash

# Script for upload images with test resaults to Slack

# ENV
SLACK_CHANNEL_ID=$1
SLACK_TOCKEN=$2

# Send success gif
curl -F "file=@ant/result/success.gif" -F "initial_comment=success.gif" -F "filetype=auto" -F "channels=$SLACK_CHANNEL_ID" -H "Authorization: Bearer $SLACK_TOCKEN" "https://slack.com/api/files.upload"
rm ant/result/success.gif

IMAGE_LIST=$(ls ant/result/ | egrep "*.png")

for IMAGE in $IMAGE_LIST
do
	curl -F "file=@ant/result/$IMAGE" -F "initial_comment=$IMAGE" -F "filetype=auto" -F "channels=$SLACK_CHANNEL_ID" -H "Authorization: Bearer $SLACK_TOCKEN" "https://slack.com/api/files.upload"
done